# Return email account's Webmail settings

This function retrieves an email account's Webmail settings.

Important:

When you disable the _Receive Mail_ role, the system disables this function.

Endpoint: GET /Email/get_webmail_settings
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `account` (any)
    The email account.

Note:

If you do not specify a value, the function retrieves settings for the cPanel account's default mail account.

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_webmail_settings"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (object)

  - `result.data.domain` (string)
    The email account's mail server hostname.
    Example: "mail.example.com"

  - `result.data.has_maildir` (integer)
    Whether Maildir is enabled for the email account.

* 1 — Enabled.

It is not possible to disable Maildir.
    Enum: 1

  - `result.data.user` (any)
    The email account.

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


